#include <iostream>
#include <vector>
#include "Attribute.h"

class Relation{
	string name;
	vector<Attribute> att;
	int size;
	
public:
	Relation(string n);
	Relation(string n, vector<Attribute> a);
	string getTableName();
	vector<Attribute> getAttributes();
	vector<string> getAttributeNames();
	Attribute& getAttributeByName(string s);
	void renameAttribute(string oldstr, string newstr);
	int getSize();
	void display();
	void insertTuple(vector<string> tuple); //we are assuming they are in order
	void insertFromRelation(Relation r);
	//void removeTuple();
};